# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'cbltoolkit'
copyright = '2025, Members of the Computational Biomechanics Lab team'
author = 'Members of the Computational Biomechanics Lab team'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = []

templates_path = ['_templates']
exclude_patterns = []



# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'sphinx_material'
html_logo = '_static/logo.svg'
html_favicon = '_static/favicon.svg'
html_static_path = ['_static']
html_sidebars = {
    # https://bashtage.github.io/sphinx-material/customization.html#customizing-the-layout
    "**": ["logo-text.html", "globaltoc.html", "localtoc.html", "searchbox.html"]
}
html_theme_options = {
    'color_primary': 'blue',
    'repo_url': 'https://github.com/ComputationalBiomechanicsLab/cbltoolkit',
}
